curl --request GET \
--url https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"createdAt": "2025-10-22T10:30:00Z",
"direction": "Z+",
"id": "550e8400-e29b-41d4-a716-446655440000",
"isp": 300,
"maxBurnTime": 3600,
"name": "Main Engine",
"spacecraftId": "spacecraft-123",
"thrust": 500,
"type": "CHEMICAL",
"updatedAt": "2025-10-22T15:45:00Z",
"x": 0,
"y": 0,
"z": -1.5
}{
"error": "invalid_token",
"error_description": "An error occurred while attempting to decode the Jwt"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}Get a thruster by id
Retrieves a thruster resolved strictly by id. Type is rendered UPPER_CASE (DT-17). Returns 404 if it does not exist.
curl --request GET \
--url https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valar.space/operations/spacecraft/{spacecraftId}/thrusters/{thrusterId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"createdAt": "2025-10-22T10:30:00Z",
"direction": "Z+",
"id": "550e8400-e29b-41d4-a716-446655440000",
"isp": 300,
"maxBurnTime": 3600,
"name": "Main Engine",
"spacecraftId": "spacecraft-123",
"thrust": 500,
"type": "CHEMICAL",
"updatedAt": "2025-10-22T15:45:00Z",
"x": 0,
"y": 0,
"z": -1.5
}{
"error": "invalid_token",
"error_description": "An error occurred while attempting to decode the Jwt"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}Authorizations
API Key (format: vsp_sk_...)
Response
Thruster retrieved successfully
Thruster response data
Timestamp when thruster was created
"2025-10-22T10:30:00Z"
Thrust direction in 3D coordinate system
X+, X-, Y+, Y-, Z+, Z- "Z+"
Thruster unique identifier (UUID)
"550e8400-e29b-41d4-a716-446655440000"
Specific impulse in seconds (s)
300
Maximum continuous burn duration in seconds (s)
3600
Thruster name (unique per spacecraft)
"Main Engine"
Spacecraft ID this thruster belongs to
"spacecraft-123"
Maximum thrust in Newtons (N)
500
Propulsion type (auto-computed from ISP), rendered UPPER_CASE per DT-17
CHEMICAL, ELECTRIC "CHEMICAL"
Timestamp when thruster was last updated
"2025-10-22T15:45:00Z"
Position X coordinate in meters (m)
0
Position Y coordinate in meters (m)
0
Position Z coordinate in meters (m)
-1.5
Was this page helpful?